Index: kernel/notification/function_definition.php
===================================================================
--- kernel/notification/function_definition.php	(revision 20539)
+++ kernel/notification/function_definition.php	(working copy)
@@ -32,17 +32,15 @@
 $FunctionList = array();
 $FunctionList['handler_list'] = array( 'name' => 'handler_list',
                                        'operation_types' => array( 'read' ),
-                                       'call_method' => array( 'include_file' => 'kernel/notification/eznotificationfunctioncollection.php',
-                                                               'class' => 'eZNotificationFunctionCollection',
+                                       'call_method' => array( 'class' => 'eZNotificationFunctionCollection',
                                                                'method' => 'handlerList' ),
                                        'parameter_type' => 'standard',
                                        'parameters' => array( ) );
 
 $FunctionList['digest_handlers'] = array( 'name' => 'digest_handlers',
                                           'operation_types' => array( 'read' ),
-                                          'call_method' => array( 'include_file' => 'kernel/notification/eznotificationfunctioncollection.php',
-                                                               'class' => 'eZNotificationFunctionCollection',
-                                                               'method' => 'digestHandlerList' ),
+                                          'call_method' => array( 'class' => 'eZNotificationFunctionCollection',
+                                                                  'method' => 'digestHandlerList' ),
                                           'parameter_type' => 'standard',
                                           'parameters' => array( array( 'name' => 'date',
                                                                         'type' => 'integer',
@@ -54,8 +52,7 @@
 
 $FunctionList['digest_items'] = array( 'name' => 'digest_items',
                                        'operation_types' => array( 'read' ),
-                                       'call_method' => array( 'include_file' => 'kernel/notification/eznotificationfunctioncollection.php',
-                                                               'class' => 'eZNotificationFunctionCollection',
+                                       'call_method' => array( 'class' => 'eZNotificationFunctionCollection',
                                                                'method' => 'digestItems' ),
                                        'parameter_type' => 'standard',
                                        'parameters' => array( array( 'name' => 'date',
@@ -71,8 +68,7 @@
 
 $FunctionList['event_content'] = array( 'name' => 'event_content',
                                        'operation_types' => array( 'read' ),
-                                       'call_method' => array( 'include_file' => 'kernel/notification/eznotificationfunctioncollection.php',
-                                                               'class' => 'eZNotificationFunctionCollection',
+                                       'call_method' => array( 'class' => 'eZNotificationFunctionCollection',
                                                                'method' => 'eventContent' ),
                                        'parameter_type' => 'standard',
                                        'parameters' => array( array( 'name' => 'event_id',
@@ -81,8 +77,7 @@
 
 $FunctionList['subscribed_nodes'] = array( 'name' => 'subscribed_nodes',
                                            'operation_types' => array( 'read' ),
-                                           'call_method' => array( 'include_file' => 'kernel/notification/eznotificationfunctioncollection.php',
-                                                                   'class' => 'eZNotificationFunctionCollection',
+                                           'call_method' => array( 'class' => 'eZNotificationFunctionCollection',
                                                                    'method' => 'subscribedNodes' ),
                                            'parameter_type' => 'standard',
                                            'parameters' => array( array( 'name' => 'offset',
@@ -96,8 +91,7 @@
 
 $FunctionList['subscribed_nodes_count'] = array( 'name' => 'subscribed_nodes_count',
                                                  'operation_types' => array( 'read' ),
-                                                 'call_method' => array( 'include_file' => 'kernel/notification/eznotificationfunctioncollection.php',
-                                                                         'class' => 'eZNotificationFunctionCollection',
+                                                 'call_method' => array( 'class' => 'eZNotificationFunctionCollection',
                                                                          'method' => 'subscribedNodesCount' ),
                                                  'parameter_type' => 'standard',
                                                  'parameters' => array() );
Index: kernel/collaboration/function_definition.php
===================================================================
--- kernel/collaboration/function_definition.php	(revision 20539)
+++ kernel/collaboration/function_definition.php	(working copy)
@@ -32,8 +32,7 @@
 $FunctionList = array();
 $FunctionList['participant'] = array( 'name' => 'participant',
                                       'operation_types' => array( 'read' ),
-                                      'call_method' => array( 'include_file' => 'kernel/collaboration/ezcollaborationfunctioncollection.php',
-                                                              'class' => 'eZCollaborationFunctionCollection',
+                                      'call_method' => array( 'class' => 'eZCollaborationFunctionCollection',
                                                               'method' => 'fetchParticipant' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array( array( 'name' => 'item_id',
@@ -44,8 +43,7 @@
                                                                     'default' => false ) ) );
 $FunctionList['participant_list'] = array( 'name' => 'participant_list',
                                            'operation_types' => array( 'read' ),
-                                           'call_method' => array( 'include_file' => 'kernel/collaboration/ezcollaborationfunctioncollection.php',
-                                                                   'class' => 'eZCollaborationFunctionCollection',
+                                           'call_method' => array( 'class' => 'eZCollaborationFunctionCollection',
                                                                    'method' => 'fetchParticipantList' ),
                                            'parameter_type' => 'standard',
                                            'parameters' => array( array( 'name' => 'item_id',
@@ -62,8 +60,7 @@
                                                                          'default' => false ) ) );
 $FunctionList['participant_map'] = array( 'name' => 'participant_map',
                                           'operation_types' => array( 'read' ),
-                                          'call_method' => array( 'include_file' => 'kernel/collaboration/ezcollaborationfunctioncollection.php',
-                                                                  'class' => 'eZCollaborationFunctionCollection',
+                                          'call_method' => array( 'class' => 'eZCollaborationFunctionCollection',
                                                                   'method' => 'fetchParticipantMap' ),
                                            'parameter_type' => 'standard',
                                           'parameters' => array( array( 'name' => 'item_id',
@@ -83,8 +80,7 @@
                                                                         'default' => false ) ) );
 $FunctionList['message_list'] = array( 'name' => 'message_list',
                                        'operation_types' => array( 'read' ),
-                                       'call_method' => array( 'include_file' => 'kernel/collaboration/ezcollaborationfunctioncollection.php',
-                                                               'class' => 'eZCollaborationFunctionCollection',
+                                       'call_method' => array( 'class' => 'eZCollaborationFunctionCollection',
                                                                'method' => 'fetchMessageList' ),
                                        'parameter_type' => 'standard',
                                        'parameters' => array( array( 'name' => 'item_id',
@@ -101,8 +97,7 @@
                                                                      'default' => false ) ) );
 $FunctionList['item_list'] = array( 'name' => 'item_list',
                                     'operation_types' => array( 'read' ),
-                                    'call_method' => array( 'include_file' => 'kernel/collaboration/ezcollaborationfunctioncollection.php',
-                                                            'class' => 'eZCollaborationFunctionCollection',
+                                    'call_method' => array( 'class' => 'eZCollaborationFunctionCollection',
                                                             'method' => 'fetchItemList' ),
                                     'parameter_type' => 'standard',
                                     'parameters' => array( array( 'name' => 'sort_by',
@@ -128,8 +123,7 @@
                                                                   'default' => null ) ) );
 $FunctionList['item_count'] = array( 'name' => 'item_count',
                                      'operation_types' => array( 'read' ),
-                                     'call_method' => array( 'include_file' => 'kernel/collaboration/ezcollaborationfunctioncollection.php',
-                                                             'class' => 'eZCollaborationFunctionCollection',
+                                     'call_method' => array( 'class' => 'eZCollaborationFunctionCollection',
                                                              'method' => 'fetchItemCount' ),
                                      'parameter_type' => 'standard',
                                      'parameters' => array( array( 'name' => 'is_read',
@@ -146,8 +140,7 @@
                                                                    'default' => false ) ) );
 $FunctionList['group_tree'] = array( 'name' => 'group_tree',
                                'operation_types' => array( 'read' ),
-                               'call_method' => array( 'include_file' => 'kernel/collaboration/ezcollaborationfunctioncollection.php',
-                                                       'class' => 'eZCollaborationFunctionCollection',
+                               'call_method' => array( 'class' => 'eZCollaborationFunctionCollection',
                                                        'method' => 'fetchGroupTree' ),
                                'parameter_type' => 'standard',
                                'parameters' => array( array( 'name' => 'parent_group_id',
@@ -167,8 +160,7 @@
 
 $FunctionList['tree_count'] = array( 'name' => 'tree_count',
                                      'operation_types' => array( 'read' ),
-                                     'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                             'class' => 'eZContentFunctionCollection',
+                                     'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                              'method' => 'fetchObjectTreeCount' ),
                                      'parameter_type' => 'standard',
                                      'parameters' => array( array( 'name' => 'parent_node_id',
Index: kernel/package/function_definition.php
===================================================================
--- kernel/package/function_definition.php	(revision 20539)
+++ kernel/package/function_definition.php	(working copy)
@@ -31,8 +31,7 @@
 
 $FunctionList = array();
 $FunctionList['list'] = array( 'name' => 'list',
-                               'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                       'class' => 'eZPackageFunctionCollection',
+                               'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                        'method' => 'fetchList' ),
                                'parameter_type' => 'standard',
                                'parameters' => array(  array( 'name' => 'filter_array',
@@ -52,8 +51,7 @@
                                                               'default' => false,
                                                               'required' => false ) ) );
 $FunctionList['maintainer_role_list'] = array( 'name' => 'maintainer_role_list',
-                                               'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                                       'class' => 'eZPackageFunctionCollection',
+                                               'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                                        'method' => 'fetchMaintainerRoleList' ),
                                                'parameter_type' => 'standard',
                                                'parameters' => array(  array( 'name' => 'type',
@@ -65,65 +63,56 @@
                                                                               'required' => false,
                                                                               'default' => false ) ) );
 $FunctionList['can_create'] = array( 'name' => 'can_create',
-                                     'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                             'class' => 'eZPackageFunctionCollection',
+                                     'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                              'method' => 'canCreate' ),
                                      'parameter_type' => 'standard',
                                      'parameters' => array() );
 
 $FunctionList['can_edit'] = array( 'name' => 'can_edit',
-                                   'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                           'class' => 'eZPackageFunctionCollection',
+                                   'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                            'method' => 'canEdit' ),
                                    'parameter_type' => 'standard',
                                    'parameters' => array() );
 
 $FunctionList['can_import'] = array( 'name' => 'can_import',
-                                     'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                             'class' => 'eZPackageFunctionCollection',
+                                     'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                              'method' => 'canImport' ),
                                      'parameter_type' => 'standard',
                                      'parameters' => array() );
 
 $FunctionList['can_install'] = array( 'name' => 'can_install',
-                                      'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                              'class' => 'eZPackageFunctionCollection',
+                                      'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                               'method' => 'canInstall' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array() );
 
 $FunctionList['can_export'] = array( 'name' => 'can_export',
-                                     'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                             'class' => 'eZPackageFunctionCollection',
+                                     'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                              'method' => 'canExport' ),
                                      'parameter_type' => 'standard',
                                      'parameters' => array() );
 
 $FunctionList['can_read'] = array( 'name' => 'can_read',
-                                   'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                           'class' => 'eZPackageFunctionCollection',
+                                   'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                            'method' => 'canRead' ),
                                    'parameter_type' => 'standard',
                                    'parameters' => array() );
 
 $FunctionList['can_list'] = array( 'name' => 'can_list',
-                                   'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                           'class' => 'eZPackageFunctionCollection',
+                                   'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                            'method' => 'canList' ),
                                    'parameter_type' => 'standard',
                                    'parameters' => array() );
 
 $FunctionList['can_remove'] = array( 'name' => 'can_remove',
-                                     'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                             'class' => 'eZPackageFunctionCollection',
+                                     'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                              'method' => 'canRemove' ),
                                      'parameter_type' => 'standard',
                                      'parameters' => array() );
 
 
 $FunctionList['item'] = array( 'name' => 'item',
-                               'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                       'class' => 'eZPackageFunctionCollection',
+                               'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                        'method' => 'fetchPackage' ),
                                'parameter_type' => 'standard',
                                'parameters' => array( array( 'name' => 'package_name',
@@ -135,8 +124,7 @@
                                                              'required' => false ) ) );
 
 $FunctionList['dependent_list'] = array( 'name' => 'dependent_list',
-                                         'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                                 'class' => 'eZPackageFunctionCollection',
+                                         'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                                  'method' => 'fetchDependentPackageList' ),
                                          'parameter_type' => 'standard',
                                          'parameters' => array( array( 'name' => 'package_name',
@@ -151,8 +139,7 @@
                                                                        'default' => false,
                                                                        'required' => false ) ) );
 $FunctionList['repository_list'] = array( 'name' => 'repository_list',
-                                          'call_method' => array( 'include_file' => 'kernel/package/ezpackagefunctioncollection.php',
-                                                                  'class' => 'eZPackageFunctionCollection',
+                                          'call_method' => array( 'class' => 'eZPackageFunctionCollection',
                                                                   'method' => 'fetchRepositoryList' ),
                                           'parameter_type' => 'standard',
                                           'parameters' => array() );
Index: kernel/setup/function_definition.php
===================================================================
--- kernel/setup/function_definition.php	(revision 20539)
+++ kernel/setup/function_definition.php	(working copy)
@@ -34,57 +34,49 @@
 
 $FunctionList['version'] = array( 'name' => 'version',
                                   'operation_types' => array( 'read' ),
-                                  'call_method' => array( 'include_file' => 'kernel/setup/ezsetupfunctioncollection.php',
-                                                          'class' => 'eZSetupFunctionCollection',
+                                  'call_method' => array( 'class' => 'eZSetupFunctionCollection',
                                                           'method' => 'fetchFullVersionString' ),
                                   'parameter_type' => 'standard',
                                   'parameters' => array( ) );
 $FunctionList['major_version'] = array( 'name' => 'major_version',
                                         'operation_types' => array( 'read' ),
-                                        'call_method' => array( 'include_file' => 'kernel/setup/ezsetupfunctioncollection.php',
-                                                                'class' => 'eZSetupFunctionCollection',
+                                        'call_method' => array( 'class' => 'eZSetupFunctionCollection',
                                                                 'method' => 'fetchMajorVersion' ),
                                         'parameter_type' => 'standard',
                                         'parameters' => array( ) );
 $FunctionList['minor_version'] = array( 'name' => 'minor_version',
                                         'operation_types' => array( 'read' ),
-                                        'call_method' => array( 'include_file' => 'kernel/setup/ezsetupfunctioncollection.php',
-                                                                'class' => 'eZSetupFunctionCollection',
+                                        'call_method' => array( 'class' => 'eZSetupFunctionCollection',
                                                                 'method' => 'fetchMinorVersion' ),
                                         'parameter_type' => 'standard',
                                         'parameters' => array( ) );
 $FunctionList['release'] = array( 'name' => 'release',
                                   'operation_types' => array( 'read' ),
-                                  'call_method' => array( 'include_file' => 'kernel/setup/ezsetupfunctioncollection.php',
-                                                          'class' => 'eZSetupFunctionCollection',
+                                  'call_method' => array( 'class' => 'eZSetupFunctionCollection',
                                                           'method' => 'fetchRelease' ),
                                   'parameter_type' => 'standard',
                                   'parameters' => array( ) );
 $FunctionList['state'] = array( 'name' => 'state',
                                 'operation_types' => array( 'read' ),
-                                'call_method' => array( 'include_file' => 'kernel/setup/ezsetupfunctioncollection.php',
-                                                        'class' => 'eZSetupFunctionCollection',
+                                'call_method' => array( 'class' => 'eZSetupFunctionCollection',
                                                         'method' => 'fetchState' ),
                                 'parameter_type' => 'standard',
                                 'parameters' => array( ) );
 $FunctionList['is_development'] = array( 'name' => 'is_development',
                                          'operation_types' => array( 'read' ),
-                                         'call_method' => array( 'include_file' => 'kernel/setup/ezsetupfunctioncollection.php',
-                                                                 'class' => 'eZSetupFunctionCollection',
+                                         'call_method' => array( 'class' => 'eZSetupFunctionCollection',
                                                                  'method' => 'fetchIsDevelopment' ),
                                          'parameter_type' => 'standard',
                                          'parameters' => array( ) );
 $FunctionList['revision'] = array( 'name' => 'revision',
                                    'operation_types' => array( 'read' ),
-                                   'call_method' => array( 'include_file' => 'kernel/setup/ezsetupfunctioncollection.php',
-                                                           'class' => 'eZSetupFunctionCollection',
+                                   'call_method' => array( 'class' => 'eZSetupFunctionCollection',
                                                            'method' => 'fetchRevision' ),
                                    'parameter_type' => 'standard',
                                    'parameters' => array( ) );
 $FunctionList['database_version'] = array( 'name' => 'database_version',
                                            'operation_types' => array( 'read' ),
-                                           'call_method' => array( 'include_file' => 'kernel/setup/ezsetupfunctioncollection.php',
-                                                                   'class' => 'eZSetupFunctionCollection',
+                                           'call_method' => array( 'class' => 'eZSetupFunctionCollection',
                                                                    'method' => 'fetchDatabaseVersion' ),
                                            'parameter_type' => 'standard',
                                            'parameters' => array( array( 'name' => 'with_release',
@@ -93,8 +85,7 @@
                                                                          'default' => true ) ) );
 $FunctionList['database_release'] = array( 'name' => 'database_release',
                                            'operation_types' => array( 'read' ),
-                                           'call_method' => array( 'include_file' => 'kernel/setup/ezsetupfunctioncollection.php',
-                                                                   'class' => 'eZSetupFunctionCollection',
+                                           'call_method' => array( 'class' => 'eZSetupFunctionCollection',
                                                                    'method' => 'fetchDatabaseRelease' ),
                                            'parameter_type' => 'standard',
                                            'parameters' => array( ) );
Index: kernel/role/function_definition.php
===================================================================
--- kernel/role/function_definition.php	(revision 20539)
+++ kernel/role/function_definition.php	(working copy)
@@ -35,8 +35,7 @@
 $FunctionList = array();
 $FunctionList['role'] = array( 'name' => 'role',
                                'operation_types' => array( 'read' ),
-                               'call_method' => array( 'include_file' => 'kernel/role/ezrolefunctioncollection.php',
-                                                       'class' => 'eZRoleFunctionCollection',
+                               'call_method' => array( 'class' => 'eZRoleFunctionCollection',
                                                        'method' => 'fetchRole' ),
                                'parameter_type' => 'standard',
                                'parameters' => array( array( 'name' => 'role_id',
